{"id":18091,"date":"2018-12-04T14:00:55","date_gmt":"2018-12-04T14:00:55","guid":{"rendered":"https:\/\/developer.kore.ai\/v10-1\/?post_type=docs&#038;p=15693"},"modified":"2022-11-30T15:52:53","modified_gmt":"2022-11-30T15:52:53","slug":"bot-import-status-api","status":"publish","type":"post","link":"https:\/\/developer.kore.ai\/v10-1\/docs\/bots\/api-guide\/bot-import-status-api\/","title":{"rendered":"Bot Import Status API"},"content":{"rendered":"<section class=\"l-section wpb_row height_auto\"><div class=\"l-section-h i-cf\"><div class=\"g-cols vc_row type_default valign_top\"><div class=\"vc_col-sm-12 wpb_column vc_column_container\"><div class=\"vc_column-inner\"><div class=\"wpb_wrapper\">\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<p>To get the status of the bot import request initiated using the <b>Import Bot<\/b> API for a new bot or an existing bot.<\/p>\n<p><b>Note<\/b>: This API requires the JWT generated by an application created on the <b>Bot Admin Console<\/b>.<\/p>\n<p>&nbsp;<\/p>\n<table>\n<tbody>\n<tr>\n<td><b>Method<\/b><\/td>\n<td>GET<\/td>\n<\/tr>\n<tr>\n<td><b>Endpoint<\/b><\/td>\n<td><span style=\"font-weight: 400\"><code>https:\/\/{{host}}\/api\/public\/bot\/import\/status\/{{BotImportBIR}}<\/code><\/span><\/td>\n<\/tr>\n<tr>\n<td><b>Content Type<\/b><\/td>\n<td><code>application\/json<\/code><\/td>\n<\/tr>\n<tr>\n<td><b>Authorization<\/b><\/td>\n<td>\n<p><code>auth: {{JWT}}<\/code><\/p>\n<p>See <a href=\"https:\/\/developer.kore.ai\/v10-1\/docs\/bots\/api-guide\/apis\/#Generating_the_JWT_Token\" rel=\"noopener noreferrer\" target=\"_blank\">How to generate the JWT Token<\/a>.<\/td>\n<\/tr>\n<tr>\n<td><b>API Scope<\/b><\/td>\n<td>\n<ul>\n<li>Bot Builder: Not Applicable<\/li>\n<li>Admin Console: Bot Definition > Bot Import<\/li>\n<\/ul>\n<\/td>\n<\/tr>\n<\/tbody>\n<\/table>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<p>&nbsp;<\/p>\n<h2><span class=\"ez-toc-section\" id=\"Query_Parameters\">Query Parameters<\/span><\/h2>\n<table>\n<thead>\n<tr>\n<th>Parameter<\/th>\n<th>Description<\/th>\n<th>Mandate<\/th>\n<\/tr>\n<\/thead>\n<tbody>\n<tr>\n<td><span style=\"font-weight: 400\"><b>host<\/b><\/span><\/td>\n<td>The environment URL. For example, https:\/\/bots.kore.ai<\/td>\n<td>Required<\/td>\n<\/tr>\n<tr>\n<td><b>BotImportBIR<\/b><\/td>\n<td><span style=\"font-weight: 400\">bir-xxxxxxx-xxx-xxxx-xxxxx-xxxxxxxxxx<\/span>. The BIR ID is found in the response of the <a href=\"https:\/\/developer.kore.ai\/v10-1\/docs\/bots\/api-guide\/import-bot-as-a-new-bot-api\/\" rel=\"noopener noreferrer\" target=\"_blank\">Import Bot as a New Bot API<\/a> endpoint.<\/td>\n<td>Required<\/td>\n<\/tr>\n<\/tbody>\n<\/table>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<p>&nbsp;<\/p>\n<h2><span class=\"ez-toc-section\" id=\"Sample_Request\">Sample Request<\/span><\/h2>\n<pre>curl -X GET \\\r\n  https:\/\/{{host}}\/api\/public\/bot\/import\/status\/bir-xxxxxxx-xxx-xxxx-xxxxx-xxxxxxxxxx \\\r\n  -H 'auth: {{YOUR_JWT_ACCESS_TOKEN}}' \\<\/pre>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<p>&nbsp;<\/p>\n<h2><span class=\"ez-toc-section\" id=\"Body_Parameters\">Body Parameters<\/span><\/h2>\n<p>No Body Parameters passed.<\/p>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<p>&nbsp;<\/p>\n<h2><span class=\"ez-toc-section\" id=\"Sample_Response\">Sample Response<\/span><\/h2>\n<pre class=\"code-limit-400px\">\r\n{\r\n    \"_id\": \"bir-5fxxxxxx-a0xx-52xx-axxf-f3xxxxxxxxxx\",\r\n    \"status\": \"success\",\r\n    \"streamRefId\": \"d1xxxxxx-bxx7-5cxx-axx7-a8xxxxxxxxxx\",\r\n    \"statusLogs\": [\r\n        {\r\n            \"taskType\": \"importRequest\",\r\n            \"taskName\": \"SampleBot\",\r\n            \"status\": \"success\"\r\n        },\r\n        {\r\n            \"taskType\": \"Bot Definition\",\r\n            \"taskName\": \"SampleBot\",\r\n            \"status\": \"success\"\r\n        },\r\n        {\r\n            \"taskType\": \"IdpConfigurations\",\r\n            \"taskName\": \"IdpConfigurations\",\r\n            \"status\": \"success\"\r\n        },\r\n        {\r\n            \"taskType\": \"CustomTemplates\",\r\n            \"taskName\": \"CustomTemplates\",\r\n            \"status\": \"success\"\r\n        },\r\n        {\r\n            \"taskType\": \"BotFunctions\",\r\n            \"taskName\": \"Bot Functions\",\r\n            \"status\": \"success\"\r\n        },\r\n        {\r\n            \"taskType\": \"Widget\",\r\n            \"taskName\": \"UnderwritingExplanation\",\r\n            \"status\": \"success\"\r\n        },\r\n       \r\n       \r\n        {\r\n            \"taskType\": \"Dialog\",\r\n            \"taskName\": \"Test Firebase Service\",\r\n            \"status\": \"success\"\r\n        },\r\n        {\r\n            \"taskType\": \"Form\",\r\n            \"taskName\": \"BloodPressure\",\r\n            \"status\": \"success\"\r\n        },\r\n        {\r\n            \"taskType\": \"Widget\",\r\n            \"taskName\": \"WidgetPhysique\",\r\n            \"status\": \"success\"\r\n        },\r\n        {\r\n            \"taskType\": \"Dialog\",\r\n            \"taskName\": \"ShowDiseaseList\",\r\n            \"status\": \"success\"\r\n        },\r\n        \r\n        {\r\n            \"taskType\": \"Event\",\r\n            \"taskName\": \"TASK_FAILURE_EVENT\",\r\n            \"status\": \"success\"\r\n        },\r\n        {\r\n            \"taskType\": \"Event\",\r\n            \"taskName\": \"WELCOME_MESSAGE_EVENT\",\r\n            \"status\": \"success\"\r\n        },\r\n        {\r\n            \"taskType\": \"Event\",\r\n            \"taskName\": \"INTENT_UNIDENTIFIED\",\r\n            \"status\": \"success\"\r\n        },\r\n        {\r\n            \"taskType\": \"Event\",\r\n            \"taskName\": \"CONVERSATION_END\",\r\n            \"status\": \"success\"\r\n        },\r\n        {\r\n            \"taskType\": \"KnowledgeTasks\",\r\n            \"taskName\": \"KnowledgeTasks\",\r\n            \"status\": \"success\"\r\n        },\r\n        {\r\n            \"taskType\": \"Utterences\",\r\n            \"taskName\": \"Utterences\",\r\n            \"status\": \"success\"\r\n        },\r\n        {\r\n            \"taskType\": \"Patterns\",\r\n            \"taskName\": \"Patterns\",\r\n            \"status\": \"success\"\r\n        },\r\n        {\r\n            \"taskType\": \"BotVariables\",\r\n            \"taskName\": \"BotVariables\",\r\n            \"status\": \"success\"\r\n        },\r\n        {\r\n            \"taskType\": \"SmallTalk\",\r\n            \"taskName\": \"SmallTalk\",\r\n            \"status\": \"success\"\r\n        },\r\n        {\r\n            \"taskType\": \"importBot\",\r\n            \"taskName\": \"SampleBot\",\r\n            \"status\": \"success\"\r\n        }\r\n    ],\r\n    \"createdBy\": \"u-adxxxxxx-e9xx-5xxd-axxc-21xxxxxxxxxx\",\r\n    \"requestType\": \"Botimport\",\r\n    \"createdOn\": \"2022-07-29T07:24:17.496Z\",\r\n    \"__v\": 0,\r\n    \"streamId\": \"st-8axxxxxx-0xxb-5axx-9xx2-97xxxxxxxxxx\"\r\n}\r\n<\/pre>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div><\/div><\/div><\/div><\/div><\/div><\/section>\n","protected":false},"excerpt":{"rendered":"To get the status of the bot import request initiated using the Import Bot API for a new bot or an existing bot. Note: This API requires the JWT generated by an application created on the Bot Admin Console. &nbsp; Method GET Endpoint https:\/\/{{host}}\/api\/public\/bot\/import\/status\/{{BotImportBIR}} Content Type application\/json Authorization auth: {{JWT}} See How to generate the...","protected":false},"author":1,"featured_media":0,"comment_status":"closed","ping_status":"closed","sticky":false,"template":"","format":"standard","meta":{"footnotes":""},"categories":[17],"tags":[],"class_list":["post-18091","post","type-post","status-publish","format-standard","hentry","category-api-guide"],"_links":{"self":[{"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/posts\/18091","targetHints":{"allow":["GET"]}}],"collection":[{"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/posts"}],"about":[{"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/types\/post"}],"author":[{"embeddable":true,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/users\/1"}],"replies":[{"embeddable":true,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/comments?post=18091"}],"version-history":[{"count":26,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/posts\/18091\/revisions"}],"predecessor-version":[{"id":49367,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/posts\/18091\/revisions\/49367"}],"wp:attachment":[{"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/media?parent=18091"}],"wp:term":[{"taxonomy":"category","embeddable":true,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/categories?post=18091"},{"taxonomy":"post_tag","embeddable":true,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/tags?post=18091"}],"curies":[{"name":"wp","href":"https:\/\/api.w.org\/{rel}","templated":true}]}}